# modules/iam/variables.tf

variable "project_id" {
  description = "L'ID du projet GCP."
  type        = string
}

variable "service_account_name" {
  description = "Nom du compte de service Terraform."
  type        = string
  default     = "terraform-deployer"
}

variable "gcp_user_email" {
  description = "Votre adresse e-mail GCP (pour OS Login)."
  type        = string
}

variable "ssh_public_key" {
  description = "Votre clé publique SSH (contenu du fichier ~/.ssh/id_ed25519.pub)."
  type        = string
}